🎉 AdCP 3.0 is now GA — see what's new
curl --request PUT \
--url https://agenticadvertising.org/api/registry/agents/{encodedUrl}/lifecycle \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"agent_url": "<string>",
"compliance_opt_out": true,
"monitoring_paused": true,
"check_interval_hours": 123,
"monitoring_paused_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}Set the lifecycle stage for an agent. Requires authentication and ownership of the agent.
curl --request PUT \
--url https://agenticadvertising.org/api/registry/agents/{encodedUrl}/lifecycle \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"agent_url": "<string>",
"compliance_opt_out": true,
"monitoring_paused": true,
"check_interval_hours": 123,
"monitoring_paused_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.adcontextprotocol.org/llms.txt
Use this file to discover all available pages before exploring further.
Bearer token in the Authorization header. Two token types are accepted:
sk_...) issued via the dashboard. Org-scoped, long-lived, for server-to-server use./.well-known/oauth-authorization-server and the protected-resource metadata at /.well-known/oauth-protected-resource/api.URL-encoded agent URL
development, testing, production, deprecated Updated metadata
development, testing, production, deprecated Was this page helpful?